package com.seer.teach.mall.app.order.service;

import com.seer.teach.mall.entity.OrderEntity;

import java.util.List;

public interface IAppOrderQueryService {

    List<OrderEntity> queryOrderList(Integer OrderId);


    OrderEntity queryOne(Integer OrderId);

    OrderEntity queryOne(Integer userId,Integer OrderId);


    List<OrderEntity> queryOrderListByUserId(Integer userId);

    OrderEntity queryOrderByOrderSn(String OrderSn);
}
